package com.qy.worksheetsystem.entity;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * description: JobBook <br>
 * date: 2022/3/19 12:54 <br>
 * author: lhbj <br>
 * version: 1.0 <br>
 */
@Data
public class JobBook {
    String pId;
    String empName;
    String empNumber;
    String monthRate;
    List<JobBooking> timeSheetDetail = new ArrayList<>();

    public String getpId() {
        return pId;
    }

    public void setpId(String pId) {
        this.pId = pId;
    }

    public String getEmpName() {
        return empName;
    }

    public void setEmpName(String empName) {
        this.empName = empName;
    }

    public String getEmpNumber() {
        return empNumber;
    }

    public void setEmpNumber(String empNumber) {
        this.empNumber = empNumber;
    }

    public String getMonthRate() {
        return monthRate;
    }

    public void setMonthRate(String monthRate) {
        this.monthRate = monthRate;
    }

    public List<JobBooking> getTimeSheetDetail() {
        return timeSheetDetail;
    }

    public void setTimeSheetDetail(List<JobBooking> timeSheetDetail) {
        this.timeSheetDetail = timeSheetDetail;
    }
}
